routes/web.php
<?php

Route::get('/', function () {
    return view('auth.login');
});


// Route::get('even', function () {
// 	    event(new \App\Events\NuevaOrdenEvent('MOOOOOOOOOOOOOOOOOOOOOOOY'));
// 	    //return "Event has been sent!";
// 		//dd(event(new \App\Events\NuevaOrdenEvent('hello world')));
// 	});

Route::post('ocr', 'OcrController@readImage');

Route::get('ocr/test', 'OcrController@test');

Auth::routes();

Route::get('/home', 'HomeController@index')->name('home');

// Route::get('auth/{provider}', 'Auth\SocialAuthController@redirectToProvider')->name('social.auth');
// Route::get('auth/{provider}/callback', 'Auth\SocialAuthController@handleProviderCallback');

Route::get('auth/google', 'Auth\GoogleController@redirectToGoogle');
Route::get('auth/google/callback', 'Auth\GoogleController@handleGoogleCallback');

Route::get('auth/facebook', 'Auth\FacebookController@redirectToFacebook');
Route::get('auth/facebook/callback', 'Auth\FacebookController@handleFacebookCallback');

Route::group(['middleware' => 'auth'], function(){

	Route::resource('roles', 'RoleController');
	Route::resource('permissions', 'PermissionsController');
	
	Route::group(['middleware' => ['Administrador']], function () {
		Route::resource('users', 'UsersController');
	});

	Route::resource('passwords', 'ReiniciarPasswordController');
	Route::resource('persona', 'PersonaController');

	Route::resource('archivo','ControllerArchivo');
	Route::resource('repositorio','ControllerRepositorioArchivo');
	Route::resource('comparar','ArchivoCompararController');
	
	Route::resource('categoriaproyectos','CategoriaProyectoController');
	Route::resource('proyectos','ProyectoController');
	Route::resource('asignacion','AsignacionController');
	Route::resource('gestionversiones','GestionVersionController');
	Route::resource('archivoproyecto','GestorArchivoController');
	Route::resource('usuariobloqueado','UserBloqueadoController');
	Route::resource('ocr', 'OcrController');
	Route::resource('redaccion', 'RedaccionController');
	Route::resource('plagionline', 'GoogleSearchController');
	
	

	//Roles
	Route::get('list_roles', 'RoleController@list_roles');
	Route::PUT('actualizarRoles/{criterio}', 'RoleController@actualizarRoles');
 
	//Usuario
	Route::get('/list_user', 'UsersController@list_user');
	Route::get('/bajaUsuario', 'UsersController@bajaUsuario');
	Route::get('/activarUsuario', 'UsersController@activarUsuario');
	
	Route::get('profile', 'UsersController@profile');
	Route::put('actualizardatos/{criterio}', 'UsersController@actualizardatos');

	Route::post('storePersonalizar','UsersController@storePersonalizar')->name('personalizar.store');
	Route::get('getPersonalizar','UsersController@getPersonalizar')->name('personalizar.show');
	
	Route::PUT('addRole/{criterio}/{role}','UsersController@addRole');
	//usuario bloqueado
	Route::get('/list_userbloqueado', 'UserBloqueadoController@list_userbloqueado');
	Route::get('/activarUsuarioBloqueado', 'UserBloqueadoController@activarUsuarioBloqueado');
	
	//ip bloqueo
	Route::get('/list_ipbloqueado', 'UserBloqueadoController@list_ipbloqueado');
	Route::post('/storeIp', 'UserBloqueadoController@storeIp')->name('blockip.store');
	Route::get('/activarIpBloqueado', 'UserBloqueadoController@activarIpBloqueado');
	
	//Persona
	Route::get('/listar_personas', 'PersonaController@listar_personas');
	Route::get('/get_allciudades', 'PersonaController@get_allciudades');
	Route::get('/get_usuariosdisponibles', 'PersonaController@get_usuariosdisponibles');
	
	Route::get('/get_allUsuarios', 'PersonaController@get_allUsuarios');
	Route::post('/actualizarPersonal/{id}', 'PersonaController@actualizarPersonal');


	//tipoarchivo
	Route::get('listar_tparchivos','ControllerArchivo@listar_tparchivos');
	Route::get('listar_extension','ControllerArchivo@listar_extension');
	Route::get('editExtension/{criterio}','ControllerArchivo@editExtension');
	Route::post('storeExtension','ControllerArchivo@storeExtension')->name('extension.store');
	Route::put('updateExtension/{criterio}','ControllerArchivo@updateExtension')->name('extension.update');
	Route::get('bajaExtension','ControllerArchivo@bajaExtension');
	Route::get('activarExtension','ControllerArchivo@activarExtension');
	Route::get('getArchivo','ControllerArchivo@getArchivo');

	//Repositorio
	Route::get('getExtensiones','ControllerRepositorioArchivo@getExtensiones');
	Route::get('getArchivo/{criterio}','ControllerRepositorioArchivo@getArchivo');
	Route::get('listar_repositorio','ControllerRepositorioArchivo@listar_repositorio');
	Route::post('actualizarrepositorio','ControllerRepositorioArchivo@actualizarrepositorio');

	//ArchivoComparar

	Route::get('listar_comparar','ArchivoCompararController@listar_comparar');
	Route::get('leerDocumento','ArchivoCompararController@leerDocumento');
	Route::get('convertirPDF','ArchivoCompararController@convertirPDF');
	Route::get('getArchivo2/{criterio}','ArchivoCompararController@getArchivo2');
	Route::get('getComparacion/{fileres}/{file}','ArchivoCompararController@getComparacion');

	//resultado
	Route::get('listar_resultados','ArchivoCompararController@listar_resultados');
	Route::get('resultadoIndex','ArchivoCompararController@resultadoIndex')->name('resultado.index');
	Route::get('getResultados','ArchivoCompararController@getResultados');

	//proyectos
	Route::get('listar_proyectos','ProyectoController@listar_proyectos');

	Route::get('estadoProyecto','ProyectoController@estadoProyecto');
	Route::get('getArchivoProyecto/{criterio}','ProyectoController@getArchivoProyecto');

	//Asignacion usuario
	Route::get('actualizarAsignacion','AsignacionController@actualizarAsignacion');
	Route::get('listar_asignacion','AsignacionController@listar_asignacion');

	//Gestor Archivos
	Route::get('listar_archivosp/{criterio}','ProyectoController@listar_archivosp');
	Route::get('getDocumento/{criterio}/{name}','GestorArchivoController@getDocumento');
	Route::get('listadoDirectorio/{id}/{criterio}/{ini}/{original}','GestorArchivoController@listadoDirectorio');
	
	Route::get('eliminarArchivo/{dir}/{dirhere}/','GestorArchivoController@eliminarArchivo');
	Route::get('leerDocumento2','GestorArchivoController@leerDocumento2');
	Route::get('listar_resultados2','GestorArchivoController@listar_resultados2');
	Route::get('resultadoproyecto','GestorArchivoController@resultadoproyecto')->name('resultadoproyecto.index');
	Route::get('getResultados2','GestorArchivoController@getResultados2');
	//categoria proyecto
	Route::get('listar_Categorias','CategoriaProyectoController@listar_Categorias');

	//gestionversiones
	Route::get('listar_Versiones/{criterio}','GestionVersionController@listar_Versiones');
	Route::get('getVersion/{criterio}','GestionVersionController@getVersion');
	Route::get('getCambios/{criterio}','GestionVersionController@getCambios');
	Route::delete('eliminarVersion','GestionVersionController@eliminarVersion');
	Route::get('getVersion2/{criterio}','GestionVersionController@getVersion2');


	//OCR
	Route::get('listar_ocr','OcrController@listar_ocr');
	Route::get('leerDocumentoOCR','OcrController@leerDocumentoOCR');
	Route::get('getArchivoOcr/{criterio}','OcrController@getArchivoOcr');
	Route::delete('eliminarArchivoOcr/{criterio}','OcrController@eliminarArchivoOcr');
	
	Route::get('recortarImagen','OcrController@recortarImagen');

	//Redaccion
	Route::get('listar_redacciones','RedaccionController@listar_redacciones');
	Route::get('veredaccion/{criterio}','RedaccionController@indexEditor');
	Route::get('getRedaccion/{criterio}','RedaccionController@getRedaccion');
	Route::post('guardarTexto','RedaccionController@guardarTexto');
	Route::delete('eliminarRedaccion/{criterio}','RedaccionController@eliminarRedaccion');
	Route::post('storeUsuario','RedaccionController@storeUsuario')->name('adduser.store');

	//api google
	Route::get('gerResultados/{contenido}', 'GoogleSearchController@gerResultados');
	Route::get('indexGoogleSearch/{contenido}', 'GoogleSearchController@indexGoogleSearch');
});

Route::get('clear-cache', function() {
    $exitCode = Artisan::call('config:clear');
    $exitCode = Artisan::call('cache:clear');
    $exitCode = Artisan::call('config:cache');
    
    return 'DONE';
}); ;
Auth::routes();

Route::get('/home', 'HomeController@index')->name('home');

resources/views/template/partials/htmlheader.blade.php
<head>
    <title>SISTEMA PLAGIO</title>
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0, user-scalable=0, minimal-ui">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="description" content="#">
    <meta name="keywords"
        content="Admin , Responsive, Landing, Bootstrap, App, Template, Mobile, iOS, Android, apple, creative app">
    <meta name="author" content="#">
    <!-- Favicon icon -->
    <link rel="icon" href="{{asset('assets\files\assets\images\favicon.ico')}}" type="image/x-icon">

    <!-- Google font-->
    <link href="https://fonts.googleapis.com/css?family=Open+Sans:400,600" rel="stylesheet">
    <!-- Required Fremwork -->
    <link rel="stylesheet" type="text/css" href="{{asset('assets\files\bower_components\bootstrap\css\bootstrap.min.css')}}">
    <!-- feather Awesome -->
    <link rel="stylesheet" type="text/css" href="{{asset('assets\files\assets\icon\feather\css\feather.css')}}">
    <!-- Style.css -->
    <link rel="stylesheet" type="text/css" href="{{asset('assets\files\assets\css\style.css')}}">
    <link rel="stylesheet" type="text/css" href="{{asset('assets\files\assets\css\jquery.mCustomScrollbar.css')}}">

    <!-- DataTables -->
    <link rel="stylesheet" href="{{asset('plugins/datatables-bs4/css/dataTables.bootstrap4.min.css')}}"> 
    <link rel="stylesheet" href="{{asset('plugins/datatables-responsive/css/responsive.bootstrap4.min.css')}}">

    <!-- File Upload  -->
    <link href="{{ asset('plugins/bootstrap-fileinput/css/fileinput.css') }}" rel="stylesheet"/>
    <!-- <link href="{{ asset('plugins/bootstrap-fileinput/css/fileinput.min.css') }}" rel="stylesheet"/> -->
    <link href="{{ asset('plugins/bootstrap-fileinput/themes/explorer-fas/theme.css') }}" rel="stylesheet"/>

    <!-- select -->
    <!-- <link href="{{ asset('plugins/select2/select2.min.css')}}" rel="stylesheet" /> -->

    <!-- toastr -->
    <link rel="stylesheet" href="{{asset('plugins/toastr/toastr.min.css')}}">

    <link rel="stylesheet" href="{{asset('plugins/sweetalert2/css/sweetalert2.min.css')}}">
    
    <link rel="stylesheet" href="{{asset('css/miestilo.css')}}">
    <meta name="csrf-token" content="{{ csrf_token() }}">
    <meta id="app">
</head>

resources/views/template/partials/navbar.blade.php
<nav class="navbar header-navbar pcoded-header">
    <div class="navbar-wrapper">

        <div class="navbar-logo">
            <a class="mobile-menu" id="mobile-collapse" href="#!">
                <i class="feather icon-menu"></i>
            </a>
            <a href="#">
                <img class="img-fluid" src="{{asset('assets\files\assets\images\logo.png')}}" alt="Theme-Logo">
            </a>
            <a class="mobile-options">
                <i class="feather icon-more-horizontal"></i>
            </a>
        </div>

        <div class="navbar-container container-fluid">
            <ul class="nav-left">
                <li class="header-search">
                    <div class="main-search morphsearch-search">
                        <div class="input-group">
                            <span class="input-group-addon search-close"><i
                                    class="feather icon-x"></i></span>
                            <input type="text" class="form-control">
                            <span class="input-group-addon search-btn"><i
                                    class="feather icon-search"></i></span>
                        </div>
                    </div>
                </li>
                <li>
                    <a href="#!" onclick="javascript:toggleFullScreen()">
                        <i class="feather icon-maximize full-screen"></i>
                    </a>
                </li>
            </ul>
            <ul class="nav-right">

                <li class="user-profile header-notification">
                    <div class="dropdown-primary dropdown">
                        <div class="dropdown-toggle" data-toggle="dropdown">
                            <img src="{{asset('assets\files\assets\images\avatar-4.jpg')}}" class="img-radius" alt="User-Profile-Image">
                            <span>{{Auth::user()->username}}</span>
                            <i class="feather icon-chevron-down"></i>
                        </div>
                        <ul class="show-notification profile-notification dropdown-menu"
                            data-dropdown-in="fadeIn" data-dropdown-out="fadeOut">
                            <li>
                                <a href="{{ url('/logout') }}" onclick="event.preventDefault();
                                                 document.getElementById('logout-form').submit();">
                                      
                                    <i class="feather icon-log-out"></i> <a  href="{{ url('/logout') }}" class="btn btn-default btn-flat"
                                       onclick="event.preventDefault();
                                                 document.getElementById('logout-form').submit();">
                                        Salir
                                    </a> 

                                    <form id="logout-form" action="{{ url('/logout') }}" method="POST" style="display: none;">
                                        {{ csrf_field() }}
                                        <input type="submit" value="logout" style="display: none;">
                                    </form>
                                </a>
                            </li>
                            <li>
                                <a href="{{url('profile')}}">
                                    <i class="feather icon-user"></i> Perfil
                                </a>
                            </li>
                        </ul>

                    </div>
                </li>
            </ul>
        </div>
    </div>
</nav>

resources/views/template/partials/preloader.blade.php
<!-- Pre-loader start -->
<div class="theme-loader">
    <div class="ball-scale">
        <div class='contain'>
            <div class="ring">
                <div class="frame"></div>
            </div>
            <div class="ring">
                <div class="frame"></div>
            </div>
            <div class="ring">
                <div class="frame"></div>
            </div>
            <div class="ring">
                <div class="frame"></div>
            </div>
            <div class="ring">
                <div class="frame"></div>
            </div>
            <div class="ring">
                <div class="frame"></div>
            </div>
            <div class="ring">
                <div class="frame"></div>
            </div>
            <div class="ring">
                <div class="frame"></div>
            </div>
            <div class="ring">
                <div class="frame"></div>
            </div>
            <div class="ring">
                <div class="frame"></div>
            </div>
        </div>
    </div>
</div>

resources/views/template/partials/scripts.blade.php
<!-- <script type="text/javascript" src='../js/app.js'></script> -->
<!-- <script src="{{ asset('js/app.js') }}"></script> -->
<!-- <script type="text/javascript" src="{{asset('plugins/jquery/jquery.min.js')}}"></script> -->
<!-- <script src="https://code.jquery.com/jquery-3.6.0.js"></script> -->
<script src="https://code.jquery.com/jquery-3.3.1.min.js"></script>
<script type="text/javascript" src="{{asset('assets\files\bower_components\jquery-ui\js\jquery-ui.min.js')}}"></script>
<script type="text/javascript" src="{{asset('assets\files\bower_components\popper.js\js\popper.min.js')}}"></script>
<script type="text/javascript" src="{{asset('assets\files\bower_components\bootstrap\js\bootstrap.min.js')}}"></script>
<!-- jquery slimscroll js -->

<script type="text/javascript" src="{{asset('assets\files\bower_components\jquery-slimscroll\js\jquery.slimscroll.js')}}"></script>
<!-- modernizr js -->
<script type="text/javascript" src="{{asset('assets\files\bower_components\modernizr\js\modernizr.js')}}"></script>
<!-- Chart js -->
<!-- <script type="text/javascript" src="{{asset('assets\files\bower_components\chart.js\js\Chart.js')}}"></script> -->
<!-- amchart js -->
<!-- <script src="{{asset('assets\files\assets\pages\widget\amchart\amcharts.js')}}"></script>
<script src="{{asset('assets\files\assets\pages\widget\amchart\serial.js')}}"></script>
<script src="{{asset('assets\files\assets\pages\widget\amchart\light.js')}}"></script> -->
<script src="{{asset('assets\files\assets\js\jquery.mCustomScrollbar.concat.min.js')}}"></script>
<!-- <script src="{{asset('assets\files\assets\js\SmoothScroll.js')}}"></script> -->
<script src="{{asset('assets\files\assets\js\pcoded.min.js')}}"></script>
<!-- custom js -->
<script src="{{asset('assets\files\assets\js\vartical-layout.min.js')}}"></script>
<!-- <script type="text/javascript" src="{{asset('assets\files\assets\pages\dashboard\custom-dashboard.js')}}"></script> -->
<script type="text/javascript" src="{{asset('assets\files\assets\js\script.min.js')}}"></script>
<!-- Global site tag (gtag.js) - Google Analytics -->
<!-- <script async="" src="https://www.googletagmanager.com/gtag/js?id=UA-23581568-13"></script> -->

<!-- DataTables -->
<script src="{{asset('plugins/datatables/jquery.dataTables.min.js')}}"></script>
<script src="{{asset('plugins/datatables-bs4/js/dataTables.bootstrap4.min.js')}}"></script>
<script src="{{asset('plugins/datatables-responsive/js/dataTables.responsive.min.js')}}"></script>
<script src="{{asset('plugins/datatables-responsive/js/responsive.bootstrap4.min.js')}}"></script>

<!--File Upload -->
<!-- <script src="{{ asset('plugins/bootstrap-fileinput/js/plugins/piexif.min.js') }}"></script>
<script src="{{ asset('plugins/bootstrap-fileinput/js/plugins/sortable.js') }}" ></script>
<script src="{{ asset('plugins/bootstrap-fileinput/js/fileinput.js') }}"></script>
<script src="{{ asset('plugins/bootstrap-fileinput/js/locales/es.js') }}"></script>
<script src="{{ asset('plugins/bootstrap-fileinput/themes/fas/theme.js') }}"></script> -->

<script src="{{ asset('plugins/bootstrap-fileinput/js/plugins/piexif.min.js') }}"></script>
<script src="{{ asset('plugins/bootstrap-fileinput/js/plugins/sortable.min.js') }}" ></script>
<script src="{{ asset('plugins/bootstrap-fileinput/js/fileinput.min.js') }}"></script>
<script src="{{ asset('plugins/bootstrap-fileinput/themes/fa/theme.js') }}"></script>
<script src="{{ asset('plugins/bootstrap-fileinput/js/locales/es.js') }}"></script>
<script src="{{ asset('plugins/bootstrap-fileinput/themes/explorer-fas/theme.js') }}"></script>
<!-- select -->
<!-- <script src="{{asset('plugins/select2/select2.min.js')}}"></script>  -->

<!-- alertas -->
<script src="{{asset('plugins/toastr/toastr.min.js')}}"></script>
<!-- Alertas -->
<script src="{{asset('plugins/sweetalert2/js/sweetalert2.all.js')}}"></script>
<!-- Alertas -->
<script src="{{ asset('plugins/sweetalert/js/sweetalert.min.js') }}"></script>

{!! Toastr::message() !!}

<script type="text/javascript">
	function personalizador(e){
		console.log(e);
	}
</script>

resources/views/template/partials/sidebar.blade.php
<nav class="pcoded-navbar">
    <div class="pcoded-inner-navbar main-menu" >
        <!-- <img src="te.webp" alt=""> -->
        <!-- <div class="pcoded-navigatio-lavel">SISTEMA PLAGIO</div> -->

        <div class="pcoded-navigatio-lavel">USUARIOS</div>
        <ul class="pcoded-item pcoded-left-item">
            @if(Auth::user()->hasPermissionTo('role-list') || Auth::user()->hasPermissionTo('user-list') )
                @if(Auth::user()->hasPermissionTo('role-list'))
                <li class="">
                    <a href="{{route('roles.index')}}">
                        <span class="pcoded-micon"><i class="feather icon-voicemail"></i></span>
                        <span class="pcoded-mtext">Gestor de Roles</span>
                    </a>
                </li>
                @endif
                <!-- if(Auth::user()->role->name == 'Administrador') -->
                @if(Auth::user()->hasPermissionTo('user-list'))
                <li class="">
                    <a href="{{route('users.index')}}">
                        <span class="pcoded-micon"><i class="feather icon-users"></i></span>
                        <span class="pcoded-mtext">Gestor de Usuarios</span>
                    </a>
                </li>
                @endif
               <!--  <li class="">
                    <a href="{{route('persona.index')}}">
                        <span class="pcoded-micon"><i class="feather icon-user"></i></span>
                        <span class="pcoded-mtext">Gestor de Persona</span>
                    </a>
                </li>  -->
                <li class="">
                    <a href="{{route('usuariobloqueado.index')}}">
                        <span class="pcoded-micon"><i class="feather icon-user-x"></i></span>
                        <span class="pcoded-mtext">Usuarios Bloqueados</span>
                    </a>
                </li>               
            @endif
            <div class="pcoded-navigatio-lavel">PLAGIO</div>
            @if(Auth::user()->hasPermissionTo('GestorArchivo-list') || Auth::user()->hasPermissionTo('AlmacenarArchivo-list') || Auth::user()->hasPermissionTo('CompararArchivo-list') || Auth::user()->hasPermissionTo('ResultadosArchivo-list') || Auth::user()->hasPermissionTo('CompararOcr-list'))

                @if(Auth::user()->hasPermissionTo('GestorArchivo-list'))
                <li class="">
                    <a href="{{route('archivo.index')}}">
                        <span class="pcoded-micon"><i class="feather icon-file"></i></span>
                        <span class="pcoded-mtext">Gestor de Archivos</span>
                    </a>
                </li>
                @endif
                @if(Auth::user()->hasPermissionTo('AlmacenarArchivo-list'))
                <li class="">
                    <a href="{{route('repositorio.index')}}">
                        <span class="pcoded-micon"><i class="feather icon-file-plus"></i></span>
                        <span class="pcoded-mtext">Almacenar Archivos</span>
                    </a>
                </li>
                @endif
                @if(Auth::user()->hasPermissionTo('CompararArchivo-list'))
                <li class=" ">
                    <a href="{{route('comparar.index')}}">
                        <span class="pcoded-micon"><i class="feather icon-fast-forward"></i></span>
                        <span class="pcoded-mtext">Comparar Archivos</span>
                    </a>
                </li>
                @endif
                @if(Auth::user()->hasPermissionTo('CompararArchivo-list'))
                <li class=" ">
                    <a href="{{route('ocr.index')}}">
                        <span class="pcoded-micon"><i class="feather icon-image"></i></span>
                        <span class="pcoded-mtext">Comparar OCR</span>
                    </a>
                </li>
                @endif
                @if(Auth::user()->hasPermissionTo('ResultadosArchivo-list'))
                <li class=" ">
                    <a href="{{route('resultado.index')}}">
                        <span class="pcoded-micon"><i class="feather icon-refresh-ccw"></i></span>
                        <span class="pcoded-mtext">Resultados Archivos</span>
                    </a>
                </li>
                @endif

            @endif
            <li class=" ">
                    <a href="{{url('indexGoogleSearch')}}/''">
                        <span class="pcoded-micon"><i class="feather icon-refresh-ccw"></i></span>
                        <span class="pcoded-mtext">Plagio En Linea</span>
                    </a>
                </li>
            <div class="pcoded-navigatio-lavel">PROYECTOS</div>
            <li class="">
                <a href="{{route('categoriaproyectos.index')}}">
                    <span class="pcoded-micon"><i class="feather icon-layout"></i></span>
                    <span class="pcoded-mtext">Categoria de Proyectos</span>

                </a>
            </li>
            <li class="">
                <a href="{{route('proyectos.index')}}">
                    <span class="pcoded-micon"><i class="feather icon-inbox"></i></span>
                    <span class="pcoded-mtext">Gestor de Proyectos</span>
                </a>
            </li>
            <div class="pcoded-navigatio-lavel">DETALLES DE PROYECTO</div>
            <li class=" ">
                <a href="{{route('asignacion.index')}}">
                    <span class="pcoded-micon"><i class="feather icon-command"></i></span>
                    <span class="pcoded-mtext" data-i18n="nav.dash.ecommerce">Asignar Usuarios</span>
                    
                </a>
            </li>
            <li class=" ">
                <a href="{{route('archivoproyecto.index')}}">
                    <span class="pcoded-micon"><i class="feather icon-file-minus"></i></span>
                    <span class="pcoded-mtext" data-i18n="nav.dash.ecommerce">Gestor Archivos</span>
                    
                </a>
            </li>
            <li class="">
                <a href="{{route('gestionversiones.index')}}">
                    <span class="pcoded-micon"><i class="feather icon-more-vertical"></i></span>
                    <span class="pcoded-mtext" data-i18n="nav.dash.default">Gestor de Versiones</span>
                    
                </a>
            </li>
            <li class="">
                <a href="{{route('redaccion.index')}}">
                    <span class="pcoded-micon"><i class="feather icon-edit-2"></i></span>
                    <span class="pcoded-mtext" data-i18n="nav.dash.default">Gestor de Redaccion</span>
                    
                </a>
            </li>
            <li class="">
                <a href="{{route('resultadoproyecto.index')}}">
                    <span class="pcoded-micon"><i class="feather icon-refresh-ccw"></i></span>
                    <span class="pcoded-mtext" data-i18n="nav.dash.default">Resultados Proyecto</span>                    
                </a>
            </li>
        </ul>
    </div>
</nav>
<style type="text/css">
    .disabled {
    pointer-events:none; //This makes it not clickable
    opacity:0.6;         //This grays it out to look disabled
    }
</style>